GAME_STATE_START_MENU_SCREEN = "game.state.start.menu.screen"
GAME_STATE_PAUSE_SCREEN = "game.state.pause.screen"
GAME_STATE_GAME_OVER_SCREEN = "game.state.game.over.screen"
GAME_STATE_VICTORY_SCREEN = "game.state.victory.screen"
GAME_STATE_GAME_LEVEL_SCREEN = "game.state.game.level.screen"

GAME_STATE_NEW_ENEMY = "game.state.new_enemy"
GAME_STATE_ENEMY_KILLED = "game.state.enemy_killed"

-- Screen Messaging "Protocol" Message Hashes
SCREEN_MSG_HIDE_RAW_ID = "screen.msg.hide"
SCREEN_MSG_SHOW_RAW_ID = "screen.msg.show"
SCREEN_MSG_INIT_RAW_ID = "screen.msg.init"
SCREEN_MSG_DISPOSE_RAW_ID = "screen.msg.dispose"

SCREEN_MSG_HIDE = hash(SCREEN_MSG_HIDE_RAW_ID)
SCREEN_MSG_SHOW = hash(SCREEN_MSG_SHOW_RAW_ID)
SCREEN_MSG_INIT = hash(SCREEN_MSG_INIT_RAW_ID)
SCREEN_MSG_DISPOSE = hash(SCREEN_MSG_DISPOSE_RAW_ID)

SCREEN_GAME_LEVEL_URI = "/game_level_screen/game_level_screen_controller"
SCREEN_START_MENU_URI = "/start_menu_screen/start_menu_screen_controller"
SCREEN_GAME_OVER_URI = "/game_over_screen/game_over_screen_controller"
SCREEN_VICTORY_URI = "/victory_screen/victory_screen_controller"

RULES_ENGINE_MSG_GAME_STATE_UPDATE_RAW_ID = "game_state_update"
RULES_ENGINE_MSG_GAME_STATE_UPDATE = hash(RULES_ENGINE_MSG_GAME_STATE_UPDATE_RAW_ID)

MAIN_CONTROLLER_MSG_VICTORY_RAW_ID = "main.controller.victory"
MAIN_CONTROLLER_MSG_VICTORY = hash(MAIN_CONTROLLER_MSG_VICTORY_RAW_ID)

MAIN_CONTROLLER_MSG_GAME_OVER_RAW_ID = "main.controller.game_over"
MAIN_CONTROLLER_MSG_GAME_OVER = hash(MAIN_CONTROLLER_MSG_GAME_OVER_RAW_ID)

-- Camera Shake Effect Parameters
CAMERA_SHAKE_MSG_RAW_ID = "shake"
CAMERA_ID = "/game_level_screen/camera"
CAMERA_SHAKE_DISTANCE = 10.3
CAMERA_SHAKE_SECONDS_DURATION = 0.5

MSG_BROADCAST_INIT = "msg.broadcast.init"
MSG_BROADCAST_DISPOSE = "msg.broadcast.dispose"
MSG_BROADCAST_RESOLVE_DEPS = "msg.broadcast.resolve.deps"